Page 1 of 3 123 LastLast
Results 1 to 10 of 22

Thread: Canon Pixma IP1000 on Opensuse 11.4 (64bit)

  1. #1

    Default Canon Pixma IP1000 on Opensuse 11.4 (64bit)

    Hello,
    iam newbie in opensuse.
    I've tried installing the drivers provided by canon at their official website.
    but i found here.
    error: Failed dependencies:
    gtk+ is needed by bjfilter-common-2.50-3.i386
    libxml is needed by bjfilter-common-2.50-3.i386

    i think .finished install them (gtk++ and libxml2,3)


    Any help?

  2. #2
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Canon Pixma IP1000 on Opensuse 11.4 (64bit)

    Do you use the 64bit or 32 bit version of openSUSE and which version?
    I see you try to install a 32 bit rpm, so it makes a difference.
    You can try to install the missing libraries with yast or zypper, with
    zypper it is probably
    Code:
    su -
    zypper in libxml-32bit gtk2-32bit
    if you run 64 bit
    Code:
    su -
    zypper in libxml gtk2
    if you run a 32 bit openSUSE.
    Please be aware that this is a wild guess, I do not know this driver and if
    someone else knows better please follow the other advise.

    Before you do what I wrote above, did you check with the yast -> printer
    that your Canon Bubble Jet Printer is not supported out of the box?

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.3 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram

  3. #3
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Canon Pixma IP1000 on Opensuse 11.4 (64bit)

    martin_helm wrote:

    >
    Code:
    > su -
    > zypper in libxml-32bit gtk2-32bit
    >
    > if you run 64 bit
    >
    Code:
    > su -
    > zypper in libxml gtk2
    >
    > if you run a 32 bit openSUSE.

    That was from a 11.3 machine. For 11.4 this should read
    gtk-32bit and gtk!

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.3 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram

  4. #4

    Default Re: Canon Pixma IP1000 on Opensuse 11.4 (64bit)

    Quote Originally Posted by martin_helm View Post
    martin_helm wrote:

    >
    Code:
    > su -
    > zypper in libxml-32bit gtk2-32bit
    >
    > if you run 64 bit
    >
    Code:
    > su -
    > zypper in libxml gtk2
    >
    > if you run a 32 bit openSUSE.

    That was from a 11.3 machine. For 11.4 this should read
    gtk-32bit and gtk!

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.3 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram
    i'm try your instruction is nthing found like this:
    inux-1e14:/home/hermawansusanto # zypper in gtk2-32bit
    Loading repository data...
    Reading installed packages...
    'gtk2-32bit' not found in package names. Trying capabilities.
    'libgtk-2_0-0-32bit' providing 'gtk2-32bit' is already installed.
    Resolving package dependencies...
    linux-1e14:/home/hermawansusanto # zypper in libxml-32bit
    Loading repository data...
    Reading installed packages...
    'libxml-32bit' not found in package names. Trying capabilities.
    No provider of 'libxml-32bit' found.
    Resolving package dependencies...
    Nothing to do.
    And i try check: the yast -> printer
    nothing found for my printer.

    My spec: OS 11.4 64bit | Intel core i3 | Nvidia Geforce 310m| 2Gb RAM

  5. #5
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Canon Pixma IP1000 on Opensuse 11.4 (64bit)

    You did not see my second post, for 11.4 it should read

    zypper in gtk-32bit libxml2-32bit

    sorry for the confusion (I checked first on 11.3 the package names are
    different)

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.3 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram

  6. #6

    Default Re: Canon Pixma IP1000 on Opensuse 11.4 (64bit)

    i try your instruction,but i see nothing found like this:
    hermawansusanto@linux-1e14:~> su
    Password:
    linux-1e14:/home/hermawansusanto # zypper in gtk-32bit libxml2-32bit
    Loading repository data...
    Reading installed packages...
    'libxml2-32bit' is already installed.
    No update candidate for 'libxml2-32bit-2.7.8-15.1.x86_64'. The highest available version is already installed.
    'gtk-32bit' not found in package names. Trying capabilities.
    No provider of 'gtk-32bit' found.
    Resolving package dependencies...

    Nothing to do.

    how found gtk-32bit?????

  7. #7
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Canon Pixma IP1000 on Opensuse 11.4 (64bit)

    w4w4n ckp wrote:

    > how found gtk-32bit?????
    >

    So libxml2 is installed as I see. The reason you cannot see gtk-32bit is
    that it is in the contrib repository (which I have but you obviously not).

    You can install it with the following one click installer from the openSUSE
    build service
    http://tinyurl.com/3kwmowh

    but as I said before I do not know if that is enough to make your rpm work.

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.3 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram

  8. #8
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Canon Pixma IP1000 on Opensuse 11.4 (64bit)

    Ah, I found something in addition, there is a canon repository from one user
    on the OBS which contains old gtk and libxml libraries.
    http://download.opensuse.org/reposit...openSUSE_11.4/
    you may want to look if this are the libraries you really need for the canon
    driver.

    https://build.opensuse.org/project/s...termim%3ACanon
    Canon printer drivers for some PIXUS/PIXMA printers

    Canon's rpm for PIXUS iP3100, PIXUS iP4100, PIXUS iP8600, PIXMA iP1000,
    PIXMA iP1500, PIXMA iP2200, PIXMA iP4200, PIXMA iP6600d, PIXMA iP7500, mp500
    updated for SuSE-11
    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.3 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram

  9. #9

    Default Re: Canon Pixma IP1000 on Opensuse 11.4 (64bit)

    Quote Originally Posted by martin_helm View Post
    Ah, I found something in addition, there is a canon repository from one user
    on the OBS which contains old gtk and libxml libraries.
    Index of /repositories/home:/termim:/Canon/openSUSE_11.4
    you may want to look if this are the libraries you really need for the canon
    driver.

    https://build.opensuse.org/project/s...termim%3ACanon

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.3 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram
    Not work, i'm use in i586 folder.Detection my printer IP1000,but i can't printing

  10. #10
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    23,695
    Blog Entries
    1

    Default Re: Canon Pixma IP1000 on Opensuse 11.4 (64bit)

    Detection my printer IP1000,but i can't printing
    If I understand correctly, your printer is detected and configured now? Or are you still trying to build/install the drivers? Can you test print via the CUPS web interface?

    http://localhost:631/printers/

    If this works, maybe you need to be a member of the 'lp' group to print (via YaST>>security and Users>>User and Group Management).

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •